Package org.spongepowered.asm.logging

## Class LoggerAdapterJava

- java.lang.Object
- - org.spongepowered.asm.logging.LoggerAdapterAbstract
  - - org.spongepowered.asm.logging.LoggerAdapterJava

- All Implemented Interfaces:
    `ILogger`

      public class LoggerAdapterJava
      extends LoggerAdapterAbstract

  Logger adapter which uses the built-in Java logging functionality to emit logging messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

      `LoggerAdapterAbstract.FormattedMessage`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggerAdapterJava​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `catching​(Level level, java.lang.Throwable t)` | Logs an exception or error that has been caught.
    `void` | `debug​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `DEBUG` level.
    `void` | `debug​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `DEBUG` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `error​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `ERROR` level
    `void` | `error​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `ERROR` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `fatal​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `FATAL` level.
    `void` | `fatal​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `FATAL` level including the stack trace of the `Throwable` `t` passed as parameter.
    `java.lang.String` | `getType()` | Get a short human-readable name of this logger type
    `void` | `info​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `INFO` level.
    `void` | `info​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `INFO` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `log​(Level level, java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the given level.
    `void` | `log​(Level level, java.lang.String message, java.lang.Throwable t)` | Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.
    `<T extends java.lang.Throwable> T` | `throwing​(T t)` | Logs an exception or error to be thrown.
    `void` | `trace​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `TRACE` level.
    `void` | `trace​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `TRACE` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `warn​(java.lang.String message, java.lang.Object... params)` | Logs a message with parameters at the `WARN` level.
    `void` | `warn​(java.lang.String message, java.lang.Throwable t)` | Logs a message at the `WARN` level including the stack trace of the `Throwable` `t` passed as parameter.

    - ### Methods inherited from class org.spongepowered.asm.logging.LoggerAdapterAbstract

      `catching, getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerAdapterJava

          public LoggerAdapterJava​(java.lang.String name)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `ILogger`
      Get a short human-readable name of this logger type

    - #### catching

          public void catching​(Level level,
                               java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs an exception or error that has been caught.
      Parameters:
        `level` - The logging Level.
        `t` - The Throwable.

    - #### debug

          public void debug​(java.lang.String message,
                            java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `DEBUG` level.
      Specified by:
        `debug` in interface `ILogger`
      Overrides:
        `debug` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### debug

          public void debug​(java.lang.String message,
                            java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `DEBUG` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `debug` in interface `ILogger`
      Overrides:
        `debug` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `t` - the exception to log, including its stack trace

    - #### error

          public void error​(java.lang.String message,
                            java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `ERROR` level
      Specified by:
        `error` in interface `ILogger`
      Overrides:
        `error` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### error

          public void error​(java.lang.String message,
                            java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `ERROR` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `error` in interface `ILogger`
      Overrides:
        `error` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message object to log
        `t` - the exception to log, including its stack trace

    - #### fatal

          public void fatal​(java.lang.String message,
                            java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `FATAL` level.
      Specified by:
        `fatal` in interface `ILogger`
      Overrides:
        `fatal` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### fatal

          public void fatal​(java.lang.String message,
                            java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `FATAL` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `fatal` in interface `ILogger`
      Overrides:
        `fatal` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message object to log
        `t` - the exception to log, including its stack trace

    - #### info

          public void info​(java.lang.String message,
                           java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `INFO` level.
      Specified by:
        `info` in interface `ILogger`
      Overrides:
        `info` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### info

          public void info​(java.lang.String message,
                           java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `INFO` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `info` in interface `ILogger`
      Overrides:
        `info` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message object to log
        `t` - the exception to log, including its stack trace

    - #### log

          public void log​(Level level,
                          java.lang.String message,
                          java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the given level.
      Parameters:
        `level` - the logging level
        `message` - the message to log
        `params` - parameters to the message

    - #### log

          public void log​(Level level,
                          java.lang.String message,
                          java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the given level including the stack trace of the `Throwable` `t` passed as parameter.
      Parameters:
        `level` - the logging level
        `message` - the message to log
        `t` - the exception to log, including its stack trace

    - #### throwing

          public <T extends java.lang.Throwable> T throwing​(T t)

      Description copied from interface: `ILogger`
      Logs an exception or error to be thrown.
      Type Parameters:
        `T` - the Throwable type
      Parameters:
        `t` - The Throwable
      Returns:
        the Throwable

    - #### trace

          public void trace​(java.lang.String message,
                            java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `TRACE` level.
      Specified by:
        `trace` in interface `ILogger`
      Overrides:
        `trace` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### trace

          public void trace​(java.lang.String message,
                            java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `TRACE` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `trace` in interface `ILogger`
      Overrides:
        `trace` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message object to log
        `t` - the exception to log, including its stack trace

    - #### warn

          public void warn​(java.lang.String message,
                           java.lang.Object... params)

      Description copied from interface: `ILogger`
      Logs a message with parameters at the `WARN` level.
      Specified by:
        `warn` in interface `ILogger`
      Overrides:
        `warn` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message to log
        `params` - parameters to the message

    - #### warn

          public void warn​(java.lang.String message,
                           java.lang.Throwable t)

      Description copied from interface: `ILogger`
      Logs a message at the `WARN` level including the stack trace of the `Throwable` `t` passed as parameter.
      Specified by:
        `warn` in interface `ILogger`
      Overrides:
        `warn` in class `LoggerAdapterAbstract`
      Parameters:
        `message` - the message object to log
        `t` - the exception to log, including its stack trace